#!/usr/bin/env python3

import sys

static_lookup = {
    'frcsr': 'fcsr',
    'fscsr': 'fcsr',
    'frrm': 'frm',
    'fsrm': 'frm',
    'frflags': 'fflags',
    'fsflags': 'fflags',
}

lookup = {
    'csrr': 1,
    'csrw': 0,
    'csrwi': 0,
    'csrs': 0,
    'csrsi': 0,
    'csrc': 0,
    'csrci': 0,
    'csrrw': 1,
    'csrrwi': 1,
    'csrrs': 1,
    'csrrsi': 1,
    'csrrc': 1,
    'csrrci': 1,
}

for line in sys.stdin:
    instr, param = line.lstrip(' ').split(' ', 1)
    try:
        print(param.split(',')[lookup[instr]].strip())
    except KeyError:
        try:
            print(static_lookup[instr])
        except KeyError:
            print(f'invalid ({instr})')
